package com.cf.imes.module.executor.enums;

import com.cf.imes.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 打包配置 - 打包方式枚举
 *
 * @author Gqr
 * @since 2026/4/1 10:50
 */
@AllArgsConstructor
@Getter
public enum OrderPackageMethodEnum implements IntArrayValuable {
    ROOM_NAME(0),
    BODY_NAME(1),
    ORDER(2);

    private final int method;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(OrderPackageMethodEnum::getMethod).toArray();

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
